Add recipients to envelope
Adds one or more recipients to an envelope.
For an in-process envelope,
one that has been sent and has not been completed or voided,
an email is sent to a new recipient
when they are reached in the routing order.
If the new recipient’s routing order
is before or the same as the envelope’s
next recipient,
an email is only sent if the optional
resend_envelope query string is set to true.
Note: This endpoint creates or updates recipients in an envelope. It does not create or manage recipient tabs. Tabs included in the request body are ignored; to create, update, or remove recipient tabs after recipients are created, use the EnvelopeRecipientTabs Resource.
Related topics
- See the Tabs concept guide for details on tab types and how to use them with the eSignature API.
- How to bulk send envelopes
- How to request a signature by email
- How to request a signature through your app
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Query parameters
When true, forces the envelope to be resent if it would not be resent otherwise.
Ordinarily, if the recipient’s routing order is before or the same as the envelope’s next recipient, the envelope is not resent.
Setting this query parameter to false has no effect and is the same as omitting it altogether.
Request
This endpoint expects an object: recipients
Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
Response
Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).